Bug 20036 - Switch single-column templates to Bootstrap grid: Offline circulation
Summary: Switch single-column templates to Bootstrap grid: Offline circulation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-18 17:59 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20036: Switch single-column templates to Bootstrap grid: Offline circulation (4.04 KB, patch)
2018-01-18 18:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20036: Switch single-column templates to Bootstrap grid: Offline circulation (4.09 KB, patch)
2018-01-23 15:28 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20036: Switch single-column templates to Bootstrap grid: Offline circulation (4.17 KB, patch)
2018-02-04 16:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-18 17:59:10 UTC
There are three single-column Offline circulation templates which can be updated to use the Bootstrap grid:

offline_circ\enqueue_koc.tt
offline_circ\list.tt
offline_circ\process_koc.tt
Comment 1 Owen Leonard 2018-01-18 18:07:57 UTC
Created attachment 70704 [details] [review]
Bug 20036: Switch single-column templates to Bootstrap grid: Offline circulation

This patch updates three single-column offline circulation templates to
use the Bootstrap grid.

- offline_circ\process_koc.tt - Circulation -> Upload offline
  circulation.

- offline_circ\enqueue_koc.tt - After uploading offline circulation
  file -> Add to offline circulation queue. The confirmation page is the
  page to be tested.

- offline_circ\list.tt - From the confirmation page -> View pending
  offline circulation actions.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.
Comment 2 Claire Gravely 2018-01-23 15:28:16 UTC
Created attachment 70849 [details] [review]
Bug 20036: Switch single-column templates to Bootstrap grid: Offline circulation

This patch updates three single-column offline circulation templates to
use the Bootstrap grid.

- offline_circ\process_koc.tt - Circulation -> Upload offline
  circulation.

- offline_circ\enqueue_koc.tt - After uploading offline circulation
  file -> Add to offline circulation queue. The confirmation page is the
  page to be tested.

- offline_circ\list.tt - From the confirmation page -> View pending
  offline circulation actions.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-04 16:27:43 UTC
Created attachment 71206 [details] [review]
Bug 20036: Switch single-column templates to Bootstrap grid: Offline circulation

This patch updates three single-column offline circulation templates to
use the Bootstrap grid.

- offline_circ\process_koc.tt - Circulation -> Upload offline
  circulation.

- offline_circ\enqueue_koc.tt - After uploading offline circulation
  file -> Add to offline circulation queue. The confirmation page is the
  page to be tested.

- offline_circ\list.tt - From the confirmation page -> View pending
  offline circulation actions.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-15 16:40:07 UTC
Pushed to master for 18.05, thanks to everybody involved!